Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - gimp-plugin-resynthesizer-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: gimp-plugin-resynthesizer-git 2.0.r15.g462b0b7-3

Git Clone URL: https://aur-dev.archlinux.org/gimp-plugin-resynthesizer-git.git (read-only)
Package Base: gimp-plugin-resynthesizer-git
Description: Suite of gimp plugins for texture synthesis (like heal-selection). Git-Version
Upstream URL: https://github.com/bootchk/resynthesizer
Keywords: heal heal-selection
Licenses: GPL2
Conflicts: gimp-resynth, gimp-resynth-git
Provides: gimp-plugin-resynthesizer=2.0
Submitter: TrialnError
Maintainer: TrialnError
Last Packager: TrialnError
Votes: 197
Popularity: 3.236987
First Submitted: 2014-10-09 10:24
Last Updated: 2015-09-17 09:40

Dependencies (3)

Required by (1)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

TrialnError commented on 2013-06-16 22:43

Good catch and sorry for the delay

I updated the PKGBuild

andre.vmatos commented on 2013-06-06 19:02

Please, add intltool as makedepend:

checking whether NLS is requested... yes
./configure: line 5760: intltool-update: command not found
checking for intltool-update... no
checking for intltool-merge... no
checking for intltool-extract... no
configure: error: The intltool scripts were not found. Please install intltool.

TrialnError commented on 2013-01-30 09:36

@HeaDBanGer

Or you could remove those sed commands and autogen.sh. Same result, the package builds and works
(see gimp-resynth-git)

autogen.sh not neccessary, because configure.sh exists...

see: https://github.com/bootchk/resynthesizer/commit/68b6840202c3515c010e558019c74f0ea4208151

TrialnError commented on 2013-01-30 09:29

@HeaDBanGer

Or you could remove those sed commands and autogen.sh. Same result, the package builds and works
(see gimp-resynth-git)

autogen.sh not neccessary, because configure.sh exists...

TrialnError commented on 2013-01-30 09:26

@HeaDBanGer

Or you could remove those sed commands. Same result, the package builds and works
(see gimp-resynth-git)

HeaDBanGer commented on 2013-01-29 16:25

I had a problem with the newest automake version.
fixed it by replacing:

sed -i 's/automake-1.11/automake-1.12/g' autogen.sh
sed -i 's/aclocal-1.11/aclocal-1.12/g' autogen.sh
sed -i '27 a AC_CHECK_LIB(gthread-2.0, g_thread_init)' configure.in

with

sed -i 's/automake-1.11/automake-1.13/g' autogen.sh
sed -i 's/aclocal-1.11/aclocal-1.13/g' autogen.sh
sed -i '27 a AC_CHECK_LIB(gthread-2.0, g_thread_init)' configure.in
sed -i 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g' configure.in
sed -i 's/AM_PROG_CC_STDC/AC_PROG_CC/g' configure.in

Hhope that helped.



TrialnError commented on 2012-11-22 13:21

I updated the git version (Not to forget I almost uploaded a third pkgbuild xD Searched for gimp-plugin-resyn... "Not to be found? Good, there you go")

Your workaround is not needed anymore, so far I can tell.
But what to do?
Merge request on the AUR-ML, or do you want to return to a official release version?

zag commented on 2012-05-09 20:07

Probably automake should be included to makedepends;

checking for automake >= 1.6 ...
You must have automake 1.6 or newer installed to compile resynthesizer.
Download the appropriate package for your distribution,
or get the source tarball at ftp://ftp.gnu.org/pub/gnu/automake/

Anonymous comment on 2012-05-08 18:04

@chrisophus: I've added your patch, thanks!

As exterm points out, this package is currently identical to gimp-resynth-git, which is indeed pointless. There were no tags in the git repository when I switched from the old version to the new maintainer's version, but there are now. So I'll update this soon to include just the official release (2.0 atm)

Sorry for the late reply.

Anonymous comment on 2012-05-08 17:36

I had to modify the autogen.sh and configure.in files in the PKGBUILD script to get it to build: http://pastebin.com/CDDS4nVd